com.amazonaws.services.cloudfront.waiters

## Class GetInvalidationFunction

- java.lang.Object
- - com.amazonaws.services.cloudfront.waiters.GetInvalidationFunction

All Implemented Interfaces:
  SdkFunction<GetInvalidationRequest,GetInvalidationResult>

    public class GetInvalidationFunction
    extends Object
    implements SdkFunction<GetInvalidationRequest,GetInvalidationResult>

### Constructor Summary

Constructors
Constructor and Description
`GetInvalidationFunction(AmazonCloudFront client)` Constructs a new GetInvalidationFunction with the given client

### Method Summary

All Methods Instance Methods Concrete Methods
`GetInvalidationResult` `apply(GetInvalidationRequest getInvalidationRequest)` Makes a call to the operation specified by the waiter by taking the corresponding request and returns the corresponding result

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetInvalidationFunction

    public GetInvalidationFunction(AmazonCloudFront client)

Constructs a new GetInvalidationFunction with the given client

Parameters:
  `client` - Service client

### Method Detail

#### apply

    public GetInvalidationResult apply(GetInvalidationRequest getInvalidationRequest)

Makes a call to the operation specified by the waiter by taking the corresponding request and returns the corresponding result

Specified by:
  `apply` in interface `SdkFunction<GetInvalidationRequest,GetInvalidationResult>`
Parameters:
  `getInvalidationRequest` - Corresponding request for the operation
Returns:
  Corresponding result of the operation